MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001561VCMIAI - Adventure Mappublic2013-10-23 11:502015-04-11 18:08
ReporterPovelitel 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows7OS Versionsp1
Product Version0.94 
Target VersionFixed in Version0.97c 
Summary0001561: The computer can't kill me within 12 months. I simply pass a turn.
DescriptionMap Deluge. I checked 3 times
TagsNo tags attached.
Attached Filesrar file icon games.rar [^] (152,488 bytes) 2013-10-23 11:50
rar file icon trouble_data_13_3_2.rar [^] (157,800 bytes) 2013-10-23 11:55
png file icon Monolits.PNG [^] (1,054,448 bytes) 2015-02-15 14:54

- Relationships

-  Notes
(0004184)
Warmonger (administrator)
2013-12-20 12:47

Well, AI can't reach other players on this map, as the only way leads through portals which AI can't use.
(0005512)
Povelitel (updater)
2015-02-15 14:24
edited on: 2015-02-15 14:26

0.97b

I played red color. AI kill me 7.2.5 Came through the monolith and kill me.

But when I play for the blue, for some reason he can not do well

(0005513)
SXX (administrator)
2015-02-15 17:11

I suppose it's may only accidentally happen. E.g AI not automatically going via Monolith as way to teleport, but likely can go on it's tile by accident.
(0005611)
SXX (administrator)
2015-03-10 19:03

Should now be fixed with merge of my teleport branch:
https://github.com/vcmi/vcmi/commit/ec879046ca52ecc5c431f4409ff9c3bd75363d26 [^]

Though AI currently not going to use one-way monoliths with multiple exits more than once as those need special handling or tricks like blockage of other exits to make sure right exit going to be used.

- Issue History
Date Modified Username Field Change
2013-10-23 11:50 Povelitel New Issue
2013-10-23 11:50 Povelitel Status new => assigned
2013-10-23 11:50 Povelitel Assigned To => Tow
2013-10-23 11:50 Povelitel File Added: games.rar
2013-10-23 11:55 Povelitel File Added: trouble_data_13_3_2.rar
2013-12-20 12:41 Warmonger Assigned To Tow => Warmonger
2013-12-20 12:43 Warmonger Relationship added child of 0001584
2013-12-20 12:47 Warmonger Note Added: 0004184
2013-12-20 12:48 Warmonger Status assigned => acknowledged
2013-12-20 12:48 Warmonger Relationship deleted child of 0001584
2015-02-15 14:24 Povelitel Note Added: 0005512
2015-02-15 14:24 Povelitel Status acknowledged => new
2015-02-15 14:26 Povelitel Note Edited: 0005512 View Revisions
2015-02-15 14:54 Povelitel File Added: Monolits.PNG
2015-02-15 17:11 SXX Note Added: 0005513
2015-02-22 07:09 SXX Assigned To Warmonger => SXX
2015-02-22 07:09 SXX Status new => assigned
2015-03-10 19:03 SXX Note Added: 0005611
2015-03-10 19:03 SXX Status assigned => resolved
2015-03-10 19:03 SXX Fixed in Version => 0.97c
2015-03-10 19:03 SXX Resolution open => fixed
2015-04-11 18:08 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean